Bug 10552 - Several preferences missing from OPAC login page
Summary: Several preferences missing from OPAC login page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-08 14:36 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10552 - Several preferences missing from OPAC login page (36.17 KB, patch)
2013-07-08 15:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10552 - Several preferences missing from OPAC login page (35.82 KB, patch)
2013-07-18 04:10 UTC, Liz Rea
Details | Diff | Splinter Review
[PASSED QA] Bug 10552 - Several preferences missing from OPAC login page (35.91 KB, patch)
2013-07-21 12:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-07-08 14:36:25 UTC
If you have the OpacAddMastheadLibraryPulldown system preference enabled the library pulldown does not show on the OPAC login page. The preference is made available by Auth.pm to all other pages in the OPAC but not login.
Comment 1 Owen Leonard 2013-07-08 14:44:00 UTC
Also missing: UseCourseReserves, reviewson, LibraryNameTitle, and OpacShowRecentComments.
Comment 2 Owen Leonard 2013-07-08 15:46:13 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2013-07-18 04:07:22 UTC
It seems that you have to have both reviewson and showrecentcomments on to see the bit in the bar about that. Just in case that trips anyone else up. :)
Comment 4 Liz Rea 2013-07-18 04:10:00 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-07-21 12:00:36 UTC
Created attachment 19838 [details] [review]
[PASSED QA] Bug 10552 - Several preferences missing from OPAC login page

Several system preference variables are unavailable to the OPAC login
template because they are not explicitly enabled for that page. Instead
of adding them to Auth.pm using the old method this patch uses the new
system preference check syntax using the Koha TT plugin.

The following preferences are now checked using this syntax in
masthead.inc:

OpacAddMastheadLibraryPulldown
UseCourseReserves
reviewson
OpacShowRecentComments

In order for the call in masthead.inc to the new plugin to work on all
OPAC pages "[% USE Koha %]" must be added to any template which
includes it (most of them).

Also in this patch: A change to Auth.pm to enable correct display of the
LibraryName in the title of the OPAC login page.

To test, turn on the above system preferences and confirm that the
relevant links appear under the OPAC's main search bar on all pages
including the login page.

Confirm that the text specified in the LibraryName system preference is
shown as the title of the login page.

Confirm that course reserves and comments are displayed correctly on the
biblio detail page.

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
I checked both prog and ccsr - all seems well and the links are appearing and disappearing in accordance with the appropriate sysprefs.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described.
Comment 6 Galen Charlton 2013-07-22 14:59:29 UTC
Pushed to master.  Thanks, Owen!
Comment 7 Tomás Cohen Arazi 2013-08-16 13:23:32 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Owen!